R_CREATE_PIPE(3)

FUNCTION
r_create_pipe - Create an un-named pipe.

SYNOPSIS
#include <karma_r.h>

int r_create_pipe

(int *read_fd, int *write_fd)

DESCRIPTION
This routine will create an un-named pipe. This routine provides an enhanced interface to the <<pipe(2)>> routine.

read_fd
    The file descriptor corresponding to the read end of the pipe will be written here.

write_fd
    The file descriptor corresponding to the write end of the pipe will be written here.

RETURN VALUE
0 on success, else -1 and sets <<errno>> with the error code.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/